python-trinity-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 08:36:50 +0200

python-trinity-trinity (3.16.3-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 16 Oct 2009 14:47:00 -0600

python-trinity-trinity (3.16.3-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

python-trinity-trinity (3.16.2-0ubuntu1) jaunty; urgency=low

  * Jaunty rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 23 April 2009 13:02:00 -0600

python-trinity (3.16.2-0ubuntu1) jaunty; urgency=low

  [ Matthias Klose ]
  * Build for python2.6.

  [ William Grant ]
  * New upstream version. Fixes FTBFS. (LP: #333457)

 -- William Grant <wgrant@ubuntu.com>  Mon, 09 Mar 2009 09:04:22 +1100

python-trinity (3.16.1-1ubuntu2) intrepid; urgency=low

  * Actually include the fix for (LP: #229845) I claimed was in the last
    upload

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Sep 2008 16:23:41 -0400

python-trinity (3.16.1-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add kubuntu_04_kdepyuic_i18n.dpatch:
      - kdepyuic now has a useKDEi18n cmdline option, set
        to TRUE by default, so that .py files generated from
        .ui files are using i18n by default.
      - fixes long options parsing, using a list of string
        instead of a long string
      - Patch by Stephan Hermann <sh@sourcecode.de>
    - Build-dep on python-sip4
  * Update debian/rules to move kdeconfig files from
    /usr/lib/python-2.*/site-packages to /usr/lib/python2.4/site-packages so it
    is in the normal path (LP: #229845)
  * Dropped kubuntu_03_konsole_setpty and konsole depends since the new
    version no longer needs them

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Jun 2008 22:11:32 -0400

python-trinity (3.16.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/watch
    - added missing file
  * debian/control
    - uniforming Vcs-Browser field
    - bump Standard-Version to 3.7.3
    - capitalized Python in -dbg package description
    - removed Debian revision from versioned build-dep on libqt3-mt-dev,
      qt3-apps-dev, qt3-dev-tools
  * debian/rules
    - fixed destination dir for -dev package (Closes: #446904)
  * debian/copyright
    - clear separation of copyright and license notice
    - copyright and license indented with 4 spaces
    - added upstream authors notice

  [ Torsten Marek ]
  * New upstream release 3.16.1.
  * Included patch to dcopext.py handling 
    DCOPObj.objmethods being None (Closes: #468248).
  * Patched dcopext.py to handle strings with non-ASCII 
    characters (Closes: #452443).
  * Dropped 03-sip-4.7.dpatch, is now included upstream.
  * debian/control
    - removed dependency on konsole, because the bindings
      for the konsole KPart have been removed.
  * debian/rules
    - compress debs using bzip2 to reduce the size
      of the debug packages.

 -- Torsten Marek <shlomme@debian.org>  Tue, 11 Mar 2008 01:42:08 +0100

python-trinity (3.16.0-4ubuntu3) hardy; urgency=low

  * Remove build-dep on python-qt3 - No longer needed because pyqtconfig is
    back in python-qt-dev (LP: #197867)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Mar 2008 16:46:05 -0400

python-trinity (3.16.0-4ubuntu2) hardy; urgency=low

  * Add kubuntu_04_kdepyuic_i18n.dpatch:
    - kdepyuic now has a useKDEi18n cmdline option, set
      to TRUE by default, so that .py files generated from
      .ui files are using i18n by default.
    - fixes long options parsing, using a list of string
      instead of a long string
    - Patch by Stephan Hermann <sh@sourcecode.de>

 -- Anthony Mercatante <tonio@kubuntu>  Thu, 03 Jan 2008 22:40:39 +0100

python-trinity (3.16.0-4ubuntu1) hardy; urgency=low

  * Merge with debian, remaining change:
   - kubuntu_03_konsole_setpty.dpatch patch for setpty() support
  * Build-dep on python-sip4
  * Build-dep on python-qt3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Nov 2007 18:24:06 +0000

python-trinity (3.16.0-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Svn, XS-Vcs-Browser and Homepage fields added

  [ Torsten Marek ]
  * Added dependency on konsole (Closes: #443819)

 -- Torsten Marek <shlomme@debian.org>  Mon, 01 Oct 2007 01:37:23 +0200

python-trinity (3.16.0-3) unstable; urgency=low

  * Merge with Ubuntu:
  * Unable Konsole bindings.
  * Build debug modules, but only for the default Python version 
    to keep the size sane. Debug symbols are left out as well.
  * Adopt DCOP patch from Ubuntu.
  * Better debian/rules file.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Sep 2007 13:57:44 +0200

python-trinity (3.16.0-2) unstable; urgency=low

  * Include dcopext.py and dcopexport.py. (Closes: #440633)
  * Add DPMT to uploaders field.

 -- Torsten Marek <shlomme@debian.org>  Mon, 03 Sep 2007 21:27:42 +0200

python-trinity (3.16.0-1) unstable; urgency=low

  * New upstream release. (Closes: #427285, #440028)
  * Rename method that is also a Python keyword. (Closes: #407894)

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 13:03:11 +0200

python-trinity (3.15.2+20060422-4) unstable; urgency=low

  * Build with sip 4.5 / PyQt 3.17

 -- Torsten Marek <shlomme@debian.org>  Wed,  6 Dec 2006 19:18:30 +0100

python-trinity (3.16.0-0ubuntu14) gutsy; urgency=low

  * Split C++ sources in more parts when building with GCC-4.[23].

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Aug 2007 22:12:01 +0200

python-trinity (3.16.0-0ubuntu13) gutsy; urgency=low

  * debian/control: changed the python-trinity-dev depends;
    python-trinity-dev depends on python-trinity now.

 -- Martin Böhm <martin.bohm@kubuntu.org>  Mon, 06 Aug 2007 13:56:05 +0200

python-trinity (3.16.0-0ubuntu12) gutsy; urgency=low

  * Add patch kubuntu_00_sip-4.7.dpatch, make it compile with
    sip 4.7 and build-dep on pyqt 3.17.3-1ubuntu1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Aug 2007 17:00:07 +0100

python-trinity (3.16.0-0ubuntu11) feisty; urgency=low

  * Fix copy and paste error, resulting in unusable extensions for
    the -dbg build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2007 18:16:52 +0100

python-trinity (3.16.0-0ubuntu10) feisty; urgency=low

  * Don't call ldconfig in the installation target.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2007 21:19:44 +0100

python-trinity (3.16.0-0ubuntu9) feisty; urgency=low

  * Build a python-trinity-dbg package.
  * Use the dpatch patch system.
  * Use single targets instead of loops inside a target.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2007 02:09:12 +0100

python-trinity (3.16.0-0ubuntu8) feisty; urgency=low

  [ Michael Vogt ]
  * Add kubuntu_03_konsole_setpty.diff,
    adds setPtyFd() to sip/kpart/konsole_kpart.sip

  [ Jonathan Riddell ]
  * Update build-dep version to kdelibs and konsole 3.5.6

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Jan 2007 10:43:29 +0100

python-trinity (3.16.0-0ubuntu7) feisty; urgency=low

  * Fix build failures on 64bit archs with python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 17:05:04 +0100

python-trinity (3.16.0-0ubuntu6) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:18:13 +0000

python-trinity (3.16.0-0ubuntu5) feisty; urgency=low

  * Tighen build-dep on python-qt3 to ensure it builds
    without visibility=hidden

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Dec 2006 11:13:43 +0000

python-trinity (3.16.0-0ubuntu4) feisty; urgency=low

  * Rebuild against Qt without visibility=hidden
  * Ensure patches are not applied in source package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  4 Dec 2006 13:53:06 +0000

python-trinity (3.16.0-0ubuntu3) feisty; urgency=low

  * Make python-trinity depend on konsole

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Nov 2006 14:32:43 +0000

python-trinity (3.16.0-0ubuntu2) feisty; urgency=low

  * Add kubuntu_02_no_konsole_symlink.diff, don't create a symlink from
    /usr/lib when running make install
  * Create symlink from debian/rules instead

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Nov 2006 00:49:46 +0000

python-trinity (3.16.0-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Build-depend on pyqt 3.17 and sip 4.5
  * Add build-depends on /usr/lib/trinity/libkonsolepart.so
  * Don't build for python 2.5, it fails to build
  * Merge with Debian, remaining change:
    - kubuntu_01_dcop.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Nov 2006 19:03:34 +0000

python-trinity (3.15.2+20060422-3) unstable; urgency=medium

  * Include shlib dependencies (Closes: #378815)

 -- Torsten Marek <shlomme@debian.org>  Thu, 28 Sep 2006 20:25:29 +0200

python-trinity (3.15.2+20060422-2) unstable; urgency=low

  * Python policy transition (Closes: #373321)

 -- Torsten Marek <shlomme@debian.org>  Wed, 21 Jun 2006 20:44:58 +0200

python-trinity (3.15.2+20060422-1) unstable; urgency=low

  * New upstream release
    * KConfigSkeleton works now (Closes: #310919)
    * KABC is included (Closes: #362443)
  * Depend on python2.x-sip4 instead of python2.x-sip4-qt3
  * Bump build-depends on sip4 to 4.4.2 and dependencies on PyQt to 3.16
  * Raised debhelper compat level to 5
  * Changed my email address to shlomme@debian.org
  * Builds fine in pbuilder now, probably a missed build dependency
    elsewhere (Closes: #351711)
  * Remove build dependency no c++abi2-dev
  * Put kdepyuic into python-trinity-dev. Thanks, Stephan Hermann

 -- Torsten Marek <shlomme@debian.org>  Tue,  2 May 2006 11:57:51 +0200

python-trinity (3.11.3+20051013-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@gmx.net>  Sun, 16 Oct 2005 11:55:45 +0200

python-trinity (3.11.3+20050829-2) unstable; urgency=low

  * Applied patch to klibloader.sip to fix an issue with KParts,
    thanks to David & Paul Boddie.

 -- Torsten Marek <shlomme@gmx.net>  Mon, 10 Oct 2005 22:52:57 +0200

python-trinity (3.11.3+20050829-1) unstable; urgency=low

  * New upstream release (Closes: #304407)
  * g++ ABI transition,
    add c++abi2-dev to Build-Depends (Closes: #327949)
  * Built with sip 4.3 (Closes: #327314)
  * Built against KDE 3.4.2
  * Added myself to Uploaders
  * Bumped all Build-Depends and Depends on sip to
    be >= 4.3 and << 4.4
  * Bumped standards version to 3.6.2, no changes involved
  * Fixed FSF address in copyright file
  * Include upstream changelog
  * Added package for Python 2.4
  * Added the homepage of PyKDE to the package descriptions
  * HTML documentations is now installed into 
    /usr/share/doc/python-trinity-doc/html
  * pykdeconfig.py now also knows that the sip files
    are in /usr/share/sip/trinity, not in /usr/share/sip/kde
    (Closes: #312708)

 -- Torsten Marek <shlomme@gmx.net>  Tue, 20 Sep 2005 01:21:33 +0200

python-trinity (3.11.3-4) unstable; urgency=high

  * Added a direct dependency on the right version of sip
  * Added python-trinity-dev (Closes: #294076)
  * Added extra/332 so it builds with KDE 3.3.2 (Closes: #294079)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Fri,  1 Apr 2005 16:07:33 +0100

python-trinity (3.11.3-3) unstable; urgency=low

  * Changed depend on PyQt >= 3.13-2 to >= 3.13 (I don't know what
    I was thinking on)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu,  9 Dec 2004 09:36:34 +0000

python-trinity (3.11.3-2) unstable; urgency=low

  * Rebuilt against PyQt 3.13 (bumped debian/control depends too)
  * Applied a simple patch to build with KDE 3.3.1
  * Adapted Thiemo Seufer's patch to make it build on mips/mipsel.
    Closes: Bug#274469

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  4 Oct 2004 12:28:17 +0100

python-trinity (3.11.3-1) unstable; urgency=low

  * New upstream version.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 30 Aug 2004 15:40:40 +0100

python-trinity (3.11.1+3.11.2-2) unstable; urgency=low

  * Split the number of generated object files during the building
    process on some arches, because of hardware limitations (scarce
    resources, or things like hitting the exported table size limit
    on Alpha).
    Closes: Bug#266733

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 19 Aug 2004 00:41:08 +0100

python-trinity (3.11.1+3.11.2-1) unstable; urgency=low

  * Applied some changes from 3.11.2-snapshot-040816 to make it
    build with KDE 3.3.
  * Rebuilt the against KDE 3.3 due to ABI incompatibility.
    Closes: Bug#266506

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Wed, 18 Aug 2004 19:25:53 +0100

python-trinity (3.11.1a-1) unstable; urgency=low

  * Initial release of this package.
    Closes: Bug#147965
  * Added "pyParts.rc" from 3.7 that have been missing on the
    examples since 3.8 (thanks Patrick McFarland for notifying it)
  * Includes some patches from development version.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 19 Jun 2004 23:07:05 +0100
